C# bindings for libiio: iio.Attr Class Reference

C# bindings for libiio 1.0 C# bindings for libIIO

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
iio.Attr Class Reference

iio.Attr class: Contains the representation of an iio_attr. More...

## Public Member Functions
string | read ()
| Read the value of this attribute as a `string`.
void | write (string val)
| Set this attribute to the value contained in the `string` argument.
bool | read_bool ()
| Read the value of this attribute as a `bool`.
double | read_double ()
| Read the value of this attribute as a `double`.
long | read_long ()
| Read the value of this attribute as a `long`.
void | write (bool val)
| Set this attribute to the value contained in the `bool` argument.
void | write (long val)
| Set this attribute to the value contained in the `long` argument.
void | write (double val)
| Set this attribute to the value contained in the `double` argument.

## Public Attributes
readonly string | name
| The name of this attribute.
readonly string | filename
| The filename in sysfs to which this attribute is bound.

## Detailed Description

iio.Attr class: Contains the representation of an iio_attr.

Examples
  ExampleProgram.cs.

## Member Function Documentation

## ◆ read()

string iio.Attr.read | ( |  | ) |
| inline

Read the value of this attribute as a `string`.

Exceptions

  IioLib.IIOException | The attribute could not be read.

Examples
  ExampleProgram.cs.

Here is the caller graph for this function:

## ◆ read_bool()

bool iio.Attr.read_bool | ( |  | ) |
| inline

Read the value of this attribute as a `bool`.

Exceptions

  IioLib.IIOException | The attribute could not be read.

Here is the call graph for this function:

## ◆ read_double()

double iio.Attr.read_double | ( |  | ) |
| inline

Read the value of this attribute as a `double`.

Exceptions

  IioLib.IIOException | The attribute could not be read.

Examples
  ExampleProgram.cs.

Here is the call graph for this function:

## ◆ read_long()

long iio.Attr.read_long | ( |  | ) |
| inline

Read the value of this attribute as a `long`.

Exceptions

  IioLib.IIOException | The attribute could not be read.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ write() [1/4]

void iio.Attr.write | ( | bool | val | ) |
| inline

Set this attribute to the value contained in the `bool` argument.

Parameters

  val | The `bool` value to set the parameter to.

Exceptions

  IioLib.IIOException | The attribute could not be written.

Here is the call graph for this function:

## ◆ write() [2/4]

void iio.Attr.write | ( | double | val | ) |
| inline

Set this attribute to the value contained in the `double` argument.

Parameters

  val | The `double` value to set the parameter to.

Exceptions

  IioLib.IIOException | The attribute could not be written.

Here is the call graph for this function:

## ◆ write() [3/4]

void iio.Attr.write | ( | long | val | ) |
| inline

Set this attribute to the value contained in the `long` argument.

Parameters

  val | The `long` value to set the parameter to.

Exceptions

  IioLib.IIOException | The attribute could not be written.

Here is the call graph for this function:

## ◆ write() [4/4]

void iio.Attr.write | ( | string | val | ) |
| inline

Set this attribute to the value contained in the `string` argument.

Parameters

  val | The `string` value to set the parameter to.

Exceptions

  IioLib.IIOException | The attribute could not be written.

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- Attr.cs